Subject: bug#71139: herd unresponsive on new 1.4.0 install

From: Ludovic Courtès <[email-masked]>
Date: Thu, 23 May 2024 11:35:04 +0200

Hi,

Antero Mejr <[email-masked]> skribis:

> On a new Guix 1.4.0 install, I logged in and ran `herd status` to check
> if sshd was running. However, the command blocked indefinitely with no
> output. When I cancelled that and tried to shut the machine down with
> `halt`, it also blocked and did nothing. The system was not being
> reconfigured at the time.

Could it be that your system clock changed drastically, for instance in
response to ntpd synchronization?  There’s a bug when that happens:

  https://github.com/wingo/fibers/issues/89

Thanks,
Ludo’.